> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Jobs

> Fetch all TCS Analytics Jobs through this API.



## OpenAPI

````yaml api-reference/tds/analytics/openapi.json POST /tcs/analytics/potential-notices/search
openapi: 3.1.0
info:
  title: analytics
  version: 1.0.0
  description: ''
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tcs/analytics/potential-notices/search:
    post:
      tags:
        - Potential Notices
        - TCS
      summary: Fetch Jobs
      parameters:
        - name: x-api-key
          in: header
          required: true
          description: API key for identification
          deprecated: false
          schema:
            type: string
        - name: authorization
          in: header
          required: true
          description: JWT access token
          deprecated: false
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API Version
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  const: in.co.sandbox.tds.analytics.potential_notice.jobs.search
                tan:
                  type: string
                  description: >-
                    TAN of deductor. Regular Expression:
                    [A-Z]{4}[0-9]{5}[A-Z]{1}
                  pattern: '[A-Z]{4}[0-9]{5}[A-Z]{1}'
                quarter:
                  type: string
                  description: Quarter for which TDS is being filed
                  enum:
                    - Q1
                    - Q2
                    - Q3
                    - Q4
                financial_year:
                  type: string
                  description: >-
                    Financial Year for which TDS is being filed. (eg. FY
                    2024-25)
                  example: FY 2024-25
                from_date:
                  type: integer
                  description: >-
                    Date from which jobs are to be fetched. Value in EPOCH
                    timestamp
                to_date:
                  type: integer
                  description: >-
                    Date till which jobs are to be fetched. Value in EPOCH
                    timestamp
                page_size:
                  type: integer
                  maximum: 50
                  description: >-
                    Number of records in the API response. Maximum allowed size
                    is 50
                last_evaluated_key:
                  type: string
                  description: >-
                    Base64 encoding of the stringified JSON object, which
                    includes x-api-key, created_at, and job_id
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                        const: >-
                          in.co.sandbox.tcs.analytics.potential_notice.paginated_list
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            '@entity':
                              type: string
                              const: >-
                                in.co.sandbox.tcs.analytics.potential_notices.job
                            job_id:
                              type: string
                            tan:
                              type: string
                            financial_year:
                              type: string
                            quarter:
                              type: string
                            form:
                              type: string
                            created_at:
                              type: integer
                            updated_at:
                              type: integer
                            status:
                              type: string
                            return_receipt_number:
                              type: integer
                      last_evaluated_key:
                        type: string
              examples:
                200 - Success:
                  value:
                    code: 200
                    timestamp: 1715757773000
                    transaction_id: 109469b2-0748-4135-a569-e86fc9e45756
                    data:
                      '@entity': >-
                        in.co.sandbox.tcs.analytics.potential_notice.paginated_list
                      items:
                        - '@entity': in.co.sandbox.tcs.analytics.potential_notices.job
                          job_id: 096c4812-1829-4ee1-a3c6-3bd291654b72
                          tan: AHMS12345C
                          financial_year: FY 2023-24
                          quarter: Q2
                          form: 26Q
                          created_at: 1714529043000
                          updated_at: 1714529044000
                          status: succeeded
                          return_receipt_number: 123456789012345
                        - '@entity': in.co.sandbox.tcs.analytics.potential_notices.job
                          job_id: 096c4812-1829-4ee1-a3c6-3bd291654b72
                          tan: AHMS12345C
                          financial_year: FY 2023-24
                          quarter: Q2
                          form: 26Q
                          created_at: 1714530043000
                          updated_at: 1714530044000
                          status: failed
                          message: Validation error
                      last_evaluated_key: eydadadadada...==

````